Description

It's not possible to use JRuby 1.7.2 with current trunk of redmine (2.3?) because of a rake error message.

I'm able to reproduce the error by downloading a vanilla JRuby 1.7.2 + redmine trunk (from GitHub), execute a bundle install and

then rake generate_secret_token (or a warble config for WAR creation). This gives:

ArgumentError: regexp prepocess failed: too short control escape

Backtrace at C:/[...]jruby/lib/ruby/gems/shared/gems/rake-10.0.3/lib/rake/backtrace.rb:10

Rake at C:/[...]jruby/lib/ruby/gems/shared/gems/rake-10.0.3/lib/rake/backtrace.rb:2

(root) at C:/[...]jruby/lib/ruby/gems/shared/gems/rake-10.0.3/lib/rake/backtrace.rb:1

[...]

The backtrace.rb file  contains the line:

SUPPRESS_PATTERN = %r!(\A#{SUPPRESSED_PATHS.join('|')}|bin/rake:\d+)!i

Deleting this line and rake or warble isn't throwing the error.

I also had this error with JRuby 1.6 and redmine >= 2.2.0. I'm using Windows 7 64bit. List of installed gems attached.

Related issues:

Related to Redmine - Feature #12228: JRuby 1.7.2 support Closed

History

#1 - 2013-01-31 20:32 - Jean-Philippe Lang

I'm able to reproduce on Win32 and JRuby1.7.2 but Redmine is not involved here, it's a JRuby/rake issue under Windows (backslashes in paths

seem to be the culprit).

#2 - 2013-01-31 20:40 - Jean-Philippe Lang

With mri1.9.3:

irb(main):001:0> RbConfig::CONFIG["prefix"]

=> "C:/ruby" 

 With Jruby1.7.2:

irb(main):001:0> RbConfig::CONFIG["prefix"]

=> "c:\\ruby" 

 And rake doesn't like it, such a shame.

#3 - 2018-10-09 14:59 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Wont fix

Jruby is no longer supported starting with Redmine 3.0.0.
